Subject: Dependencies names in makefile
From: [email-masked] ("Luc Morin")

10 Feb 1997 00:44:01 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "GNU win32 mailing list" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

Hi,

I just download all the gnu-win32 files and installed everything according
to FAQ.

I also downloaded the latest version of vgui.

I got a makefile from ftp://ftp.cs.unm.edu/pub/wampler/contrib/, and I
modified a few things in it to reflect my system's layout.

It would seem at this stage that dependencies names in the makefile need to
be all uppercase in order to be found in the VPATH. If I change the name of
a dependency to all uppercase, make finds it and doesn't complain about
having no target to build that file.

ie.:

# Doesn't work
BASEDEP = v_defs.h vbaseitm.h     
#
# vs.
#
# Works fine
BASEDEP = V_DEFS.H VBASEITM.h

Is the gnu-win32 version of make case sensitive ?

Thanks.

*****************************************************
Luc Morin	<[email-masked]>
Electrical engineering technologist
*****************************************************
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".